MODULE solut

   double precision :: chi1, chi2, chi3, chi4, chi5, chi6, chi7, chi8,  &
       psi1, psi2, psi3, psi4, psi5, psi6, psi7, psi8,  &
       a1,   a2,   a3,   a4,   a5,   a6,   a7,   a8

END MODULE solut

MODULE caseg

  double precision :: chi1, chi2, chi3, chi4, chi5, chi6, lamda,  &
       psi1, psi2, psi3, psi4, psi5, psi6, psi7,  &
       a1,   a2,   a3,   a4,   a5,   a6,   a7

END MODULE caseg

MODULE casej
   
   double precision :: chi1, chi2, chi3, lamda, kapa, psi1, psi2, &
   psi3, a1,   a2,   a3

END MODULE casej